Subject: [PCN] New technical point regarding loss of signalling

From: Tom Taylor <[email-masked]>
Date: Thu, 26 Aug 2010 11:54:07 -0400

The current text regarding loss of signalling between the Decision Point and 
PCN-egress-node reads as follows:

"If the Decision Point fails to receive reports from a given
PCN-egress-node for a configurable interval T-fail, it
SHOULD cease to admit flows to that aggregate
and raise an alarm to management."

This needs to be expanded a bit to consider the cases of centralized and 
decentralized Decision Point separately. For the Decision Point collocated with 
a PCN-ingress-node, there is just one ingress-egress-aggregate involved, as the 
text implies. However, for a centralized Decision Point, the text should say 
that no more flows are admitted to any ingress-egress-aggregate passing through 
the PCN-egress-node concerned.

For thoroughness, signalling failure between the Decision Point and a 
PCN-ingress-node should be covered, but the situation is rather peculiar. The 
PCN-ingress-node is still forwarding flows, since otherwise flow termination 
wouldn't be required. But it is not responding to signalling. I guess the only 
action is logging and alarming, since the Decision Point can't do anything else 
if signalling isn't working.

Tom Taylor

---

From: Michael Menth <[email-masked]>
Date: Thu, 26 Aug 2010 18:49:47 +0200

Hi Tom,

your question raises another question. Are the timer values related to 
ingress-egress-aggregates or to egress-decision-point pairs? I assume 
that it is the former. Therefore, I think no addition is necessary: if 
communication between an egress node and the decision point 
fundamentally fails, the timer for all IEAs expire.

Regards,

     Michael

Am 26.08.2010 17:54, schrieb Tom Taylor:
> The current text regarding loss of signalling between the Decision 
> Point and PCN-egress-node reads as follows:
>
> This needs to be expanded a bit to consider the cases of centralized 
> and decentralized Decision Point separately. For the Decision Point 
> collocated with a PCN-ingress-node, there is just one 
> ingress-egress-aggregate involved, as the text implies. However, for a 
> centralized Decision Point, the text should say that no more flows are 
> admitted to any ingress-egress-aggregate passing through the 
> PCN-egress-node concerned.
>
> PCN-ingress-node should be covered, but the situation is rather 
> peculiar. The PCN-ingress-node is still forwarding flows, since 
> otherwise flow termination wouldn't be required. But it is not 
> responding to signalling. I guess the only action is logging and 
> alarming, since the Decision Point can't do anything else if 
> signalling isn't working.
>
> Tom Taylor
> _______________________________________________
> PCN mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pcn

-- 
PD Dr. habil. Michael Menth, Assistant Professor
University of Wuerzburg, Institute of Computer Science
Am Hubland, D-97074 Wuerzburg, Germany, room B206
phone: (+49)-931/31-86644 (new), fax: (+49)-931/31-86632 (new)
mailto:[email-masked]
http://www3.informatik.uni-wuerzburg.de/research/ngn